org.activiti.engine.delegate.event.impl

## Class ActivitiEntityWithVariablesEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl
  - - org.activiti.engine.delegate.event.impl.ActivitiEntityEventImpl
    - - org.activiti.engine.delegate.event.impl.ActivitiEntityWithVariablesEventImpl

- All Implemented Interfaces:
    ActivitiEntityEvent, ActivitiEntityWithVariablesEvent, ActivitiEvent
  Direct Known Subclasses:
    ActivitiProcessStartedEventImpl

      public class ActivitiEntityWithVariablesEventImpl
      extends ActivitiEntityEventImpl
      implements ActivitiEntityWithVariablesEvent

  Base class for all `ActivitiEntityEvent` implementations, related to entities with variables.
  Author:
    Tijs Rademakers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `localScope`
    `protected Map` | `variables`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEntityEventImpl

      `entity`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `executionId, processDefinitionId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiEntityWithVariablesEventImpl(Object entity, Map variables, boolean localScope, ActivitiEventType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map` | `getVariables()`
    `boolean` | `isLocalScope()`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEntityEventImpl

      `getEntity`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEntityEvent

      `getEntity`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEvent

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType`

- - ### Field Detail

    - #### variables

          protected Map variables

    - #### localScope

          protected boolean localScope

  - ### Constructor Detail

    - #### ActivitiEntityWithVariablesEventImpl

          public ActivitiEntityWithVariablesEventImpl(Object entity,
                                                      Map variables,
                                                      boolean localScope,
                                                      ActivitiEventType type)

  - ### Method Detail

    - #### getVariables

          public Map getVariables()

      Specified by:
        `getVariables` in interface `ActivitiEntityWithVariablesEvent`
      Returns:
        the variables created together with the entity.

    - #### isLocalScope

          public boolean isLocalScope()

      Specified by:
        `isLocalScope` in interface `ActivitiEntityWithVariablesEvent`

Copyright © 2016 Alfresco. All rights reserved.